List worker capacity information

View as Markdown
Provides capacity information for all workers including total and available resources. Only accessible to administrators.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

availablebooleanOptional
cpu_archenumOptional
* `x86` - x86 * `ARM` - ARM
Allowed values:
fleetstringOptionalformat: "uuid"
limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order objects by field. Prefix with - for descending order.

searchstringOptional

Search by fqdn.

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error